Subject: Re: wip-postfix

From: Christine Lemmer-Webber <[email-masked]>
Date: Thu, 29 Jul 2021 12:19:06 -0400

Gábor Boskovits writes:

> Hello Jan,
>
>> I took the liberty of rebasing wip-postfix on latest master and
>> found it does not compile
>>
>> --8<---------------cut here---------------start------------->8---
>> gcc -fPIC -I. -I../../include -DNO_EAI -DDEF_SMTPUTF8_ENABLE=\"no\"
>> -DHAS_DEV_URANDOM
>> -DDEF_SHLIB_DIR=\"/gnu/store/hbdrbb84krvjvw58vmr1pvzb6l3gbmyv-postfix-minimal-3.4.8\"
>> -DUSE_DYNAMIC_LIBS -DUSE_DYNAMIC_MAPS -Wmissing-prototypes -Wformat
>> -Wno-comment -fPIC -g -O -I. -I../../include -DLINUX5 -c dns_str_resflags.c
>> dns_str_resflags.c:55:13: warning: RES_AAONLY is deprecated
>>      "RES_AAONLY", RES_AAONLY,
>>              ^~~~~~~~~~~~~~~~~
>> dns_str_resflags.c:57:13: warning: RES_PRIMARY is deprecated
>>      "RES_PRIMARY", RES_PRIMARY,
>>              ^~~~~~~~~~~~~~~~~~~
>> dns_str_resflags.c:63:22: error: ‘RES_INSECURE1’ undeclared here (not in a
>> function); did you mean ‘RES_RECURSE’?
>>      "RES_INSECURE1", RES_INSECURE1,
>>                       ^~~~~~~~~~~~~
>>                       RES_RECURSE
>> --8<---------------cut here---------------end--------------->8---
>>
>> Luckily, that was easily fixed by updating postfix to 3.5.0.
>>
>
> Thanks for having a look.
>
>>
>> >>  When I hack around and create /etc/ailases.db, it works.
>> > I would like to add a service config for this.
>>
>> I found we already have mail-aliases-service-type, so I used that,
>> together with running postalias.  Now, queuing mail works ootb...but
>> delivery seems not to work: it remains queued.
>>
>> I rebased wip-postfix and added a couple of patches for this.  Please
>> feel free to revert them if you don't like it :-)
>>
>> When starting postfix like so
>>
>> --8<---------------cut here---------------start------------->8---
>> ./pre-inst-env guix system vm gnu/system/examples/postfix.tmpl`\
>>    --nographic -m 1G\
>>    --nic
>> user,model=virtio-net-pci,hostfwd=tcp::12025-:25,hostfwd=tcp:127.0.0.1:12022
>> -:2222
>> --8<---------------cut here---------------end--------------->8---
>>
>> I'm seeing
>>
>> --8<---------------cut here---------------start------------->8---
>> 07:39:18 janneke@dundal:~/src/guix/wip-postfix [env]
>> $ telnet localhost 12025
>> Trying 127.0.0.1...
>> Connected to localhost.
>> Escape character is '^]'.
>> 220 komputilo.localdomain ESMTP Postfix
>> mail from: root
>> mail from: root
>> 250 2.1.0 Ok
>> rcpt to: alice
>> rcpt to: alice
>> 250 2.1.5 Ok
>> data
>> data
>> 354 End data with <CR><LF>.<CR><LF>
>> hello Alice!
>> hello Alice!
>> .
>> .
>> 250 2.0.0 Ok: queued as E26BA3116
>> quit
>> quit
>> 221 2.0.0 Bye
>> Connection closed by foreign host.
>> 08:03:53 janneke@dundal:~/src/guix/wip-postfix [env]
>> $ ssh -p 12022 root@localhost
>> /gnu/store/mydn0wr0bs7mz3rx9fwihpma26r0dpqq-postfix-minimal-3.5.0/mailq -C
>> /gnu/store/nj5pa9l9zy6vx5484pbdsqnilva8bivc-postfix-config-dir
>> -Queue ID-  --Size-- ----Arrival Time---- -Sender/Recipient-------
>> E26BA3116*      175 Mon Aug 10 08:00:50  [email-masked]
>>                                          [email-masked]
>>
>> -- 0 Kbytes in 1 Request.
>> --8<---------------cut here---------------end--------------->8---
>>
>> Ideas?
>>
>
> I will have a look early next week. Most probably the setuid stuff is
> missing, and access is denied to something.

Good news, the new setuid stuff is in now in git master.

This probably means wip-postfix could be rebased on top of it again and
could take advantage of it?